summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2022-11-23 15:42:32 -0500
committerMatt Turner <mattst88@gentoo.org>2022-11-24 10:33:45 -0500
commit4abe8fdb09a4744304056a3e423084642d6d61bb (patch)
tree19a6a0bc17fe6d723edfc576e19804525b03c2e9
parentmedia-libs/vulkan-layers: Disable -Werror (diff)
downloadgentoo-4abe8fdb09a4744304056a3e423084642d6d61bb.tar.gz
gentoo-4abe8fdb09a4744304056a3e423084642d6d61bb.tar.bz2
gentoo-4abe8fdb09a4744304056a3e423084642d6d61bb.zip
x11-libs/gtk+: Depend on libglvnd instead of mesa
And drop deprecated dep on at-spi2-atk. Signed-off-by: Matt Turner <mattst88@gentoo.org>
-rw-r--r--x11-libs/gtk+/gtk+-3.24.35.ebuild3
1 files changed, 1 insertions, 2 deletions
diff --git a/x11-libs/gtk+/gtk+-3.24.35.ebuild b/x11-libs/gtk+/gtk+-3.24.35.ebuild
index 1c859421968..ac24d57c0ca 100644
--- a/x11-libs/gtk+/gtk+-3.24.35.ebuild
+++ b/x11-libs/gtk+/gtk+-3.24.35.ebuild
@@ -49,8 +49,7 @@ COMMON_DEPEND="
>=x11-libs/libxkbcommon-0.2[${MULTILIB_USEDEP}]
)
X? (
- >=app-accessibility/at-spi2-atk-2.15.1[${MULTILIB_USEDEP}]
- media-libs/mesa[X(+),${MULTILIB_USEDEP}]
+ media-libs/libglvnd[X(+),${MULTILIB_USEDEP}]
x11-libs/libX11[${MULTILIB_USEDEP}]
x11-libs/libXcomposite[${MULTILIB_USEDEP}]
x11-libs/libXcursor[${MULTILIB_USEDEP}]